//网络请求相关Api常量

class ApiConstants {
  //当前服务器环境
  static const isServerRelease = false;

  //域名
  static const baseUrl = isServerRelease ? 'http://dev-yyhome.guadoutech.com' : 'http://dev-yyhome.guadoutech.com';

  // =========================== 用户相关 ↓=========================================

  // 登录
  static const apiUserLogin = "/api/v1/user/auth/login";

  // 登出系统
  static const apiUserLogout = "/index.php/api/v1/hotel/logout";

  // 用户修改密码
  static const apiResetPassword = "/index.php/api/v1/hotel/reset";

  // 用户忘记密码
  static const apiForgotPassword = "/index.php/api/v1/hotel/reset";

  //用户注册
  static const apiAuthRegister = "/api/v1/user/auth/register";

  //用户注销
  static const apiAuthDeactivate = "/index.php/api/v1/hotel/deactivate";

  //验证码图片
  static const apiCaptchaImage = "/api/v1/user/captcha/index";

  //发送短信
  static const apiSendSMS = "/api/v1/user/sms/send";

  // =========================== 首页 ↓=========================================

  // =========================== Profile ↓=========================================

  //用户Me页面详情
  static const apiProfileInfo = "/api/v1/user/me/index";

  // =========================== 其他 ↓=========================================

  //服务器时间
  static const apiServerTime = "/index.php/api/employee/extra/time";
}
